Subject: Re: IPv6 nexthop for IPv4

From: "John W. Linville" <[email-masked]>
Date: Thu, 26 Mar 2015 11:43:36 -0400

On Thu, Mar 26, 2015 at 04:10:21PM +0100, Bjørnar Ness wrote:
> 2015-03-26 15:53 GMT+01:00 Sowmini Varadhan <[email-masked]>:
> > On Thu, Mar 26, 2015 at 10:39 AM, Bjørnar Ness <[email-masked]> wrote:
> >
> >>>> ip route add 10.0.0.0/16 via fe80::225:90ff:fed3:bfb4/64 dev sfp0
> >>>
> >>> Trying to understand what the desired behavior is, for the route
> >>> above: if I send a packet from 10.0.0.1 to 10.0.0.2, you want the dst-mac
> >>> to be the mac address of e80::225:90ff:fed3:bfb4???
> >>
> >> Absolutely, correct.
> >
> > What if the current node does not want to support ipv6? This sounds
> > pretty "creative", if this can work, you might as well make the nexthop to
> > be the L2 address of the gw.
> 
> If it does not support IPv6 I guess the route command will fail! This
> is a bad argument
> against this. Dont see the point of limiting nexthop to L2

This topic was discussed at the recent Netconf event in Ottawa.
This is a viable means of interconnecting two IPv4 "island" subnets
across an IPv6 "ocean" backplane.

Andy Gospodarek gave a short discussion on the topic, and IIRC it
was warmly received.  I'll Cc him on this message -- I think he had a
(fairly simple) patch more or less ready.

Hth!

John
-- 
John W. Linville		Someday the world will need a hero, and you
[email-masked]			might be all we have.  Be ready.